Bug 1787387

Summary: No audio on Coffee Lake with 5.4 kernel
Product: [Fedora] Fedora Reporter: Robert Hancock <hancock>
Component: alsa-firmwareAssignee: Jaroslav Kysela <jkysela>
Status: ON_QA --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 31CC: airlied, andreas.bierfert, bskeggs, david, eliadevito, hancockrwd, hdegoede, ichavero, itamar, jarodwilson, jeremy, jforbes, jglisse, jkysela, john.j5live, jonathan, josef, kernel-maint, linville, masami256, mchehab, mjg59, ngaywood, radikaled, rpm, steved
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: eliadevito: needinfo? (jkysela)
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-02 22:19:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
kernel logs
none
kernel log with firmware symlinked
none
alsa-info with sof
none
alsa-info without sof none

Description Robert Hancock 2020-01-02 16:17:12 UTC
Created attachment 1649232 [details]
kernel logs

1. Please describe the problem:
Audio is not functional on Lenovo M720s with i5-8400 CPU. Noticed the following errors in dmesg, looks like missing firmware for Coffee Lake CPUs?

Jan 02 10:13:12 kernel: sof-audio-pci 0000:00:1f.3: Direct firmware load for intel/sof/sof-cfl.ri failed with error -2
Jan 02 10:13:12 kernel: sof-audio-pci 0000:00:1f.3: error: request firmware intel/sof/sof-cfl.ri failed err: -2
Jan 02 10:13:12 kernel: sof-audio-pci 0000:00:1f.3: error: failed to load DSP firmware -2
Jan 02 10:13:12 kernel: sof-audio-pci 0000:00:1f.3: error: sof_probe_work failed err: -2

2. What is the Version-Release number of the kernel:
5.4.7-200.fc31.x86_64

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Worked in 5.3 kernels

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Yes

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
Have not tried

6. Are you running any modules that not shipped with directly Fedora's kernel?:
No

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Robert Hancock 2020-01-02 16:22:09 UTC
I cannot find anywhere where this sof-cfl.ri firmware file exists. There is a reference to this file being missing on alsa-devel: https://www.spinics.net/lists/alsa-devel/msg102352.html

Comment 2 Justin M. Forbes 2020-01-02 18:21:38 UTC
Changing component to alsa-firmware as this is where this file should reside.

Comment 3 Robert Hancock 2020-01-02 22:12:42 UTC
This is with alsa-firmware alsa-firmware-1.2.1-3.fc31.noarch

Comment 4 Tim Jackson 2020-01-02 22:19:20 UTC

*** This bug has been marked as a duplicate of bug 1786008 ***

Comment 5 Tim Jackson 2020-01-02 22:48:50 UTC
According to https://github.com/thesofproject/linux-firmware/commit/beff732e6642bd77dac5dd08514264f055fc4d10#diff-76c141712563cc9d4730eb63acb36ad5R3807-R3808 , sof-cfl.ri is currently a symlink to sof-cnl* :

Link: intel/sof/sof-cfl.ri -> cnl/intel/sof-cnl-v1.4.1.ri
Link: intel/sof/community/sof-cfl.ri -> ../cnl/community/sof-cnl-v1.4.1.ri

Same goes for sof-cml*

Comment 6 Robert Hancock 2020-01-02 23:04:33 UTC
I noticed a reference to that, however, those symlinks aren't actually in the Git repo, or in the current RPM, so I'm not sure how that is supposed to work.

Comment 7 Tim Jackson 2020-01-03 06:51:35 UTC
Perhaps someone with the hardware in question can try making those symlinks and tell us if they work? It would at least be a workaround.

Comment 8 Robert Hancock 2020-01-03 23:57:10 UTC
Created attachment 1649568 [details]
kernel log with firmware symlinked

I added a symlink from signed/sof-cnl-signed-intel.ri to sof-cfl.ri inside /lib/firmware/intel/sof, as that's the only "cnl" file which seems to actually exist. The audio device seems to be detected on boot, though there are various errors in the kernel log - and attempting to actually select that audio device in the Sound settings results in the machine immediately hard-freezing and needing to be power cycled. Kernel log is attached, though there are no messages from the actual lockup.

So either the signed/sof-cnl-signed-intel.ri file is not the right firmware for Coffee Lake, or the new audio driver is broken in some other fashion.

Comment 9 Jaroslav Kysela 2020-01-04 09:25:02 UTC
Please, create new issue in the SOF project: https://github.com/thesofproject/sof/issues/ , add lines from dmesg to it.

Comment 10 Jaroslav Kysela 2020-01-04 10:15:04 UTC
From the kernel log, it seems that the firmware is loaded correctly. Could you try to use some basic ALSA tools like 'speaker-test', 'aplay' or 'alsamixer' on the command line and check when the system hangs?

Comment 11 Jaroslav Kysela 2020-01-04 10:16:51 UTC
The DSP driver can be turned off using:

  echo "options snd-intel-dspcfg dsp_driver=1" > /etc/modprobe.d/alsa.conf

Comment 12 Robert Hancock 2020-01-06 03:55:07 UTC
Reported to SOF project here: https://github.com/thesofproject/sof/issues/2251

Comment 13 Fedora Update System 2020-01-06 10:52:33 UTC
FEDORA-2020-534cccb6cb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-534cccb6cb

Comment 14 Robert Hancock 2020-01-06 16:15:10 UTC
I confirmed that snd-intel-dspcfg.dsp_driver=1 on the kernel command line restores the working behavior, so that is a workaround for now. Also, the update to alsa-firmware seems to allow the firmware to load properly now with the default options. But the lockup issue persists in that configuration.

It seems like the output from "aplay -L" is rather thin in the SOF mode:

sysdefault
    Default Audio Device
null
    Discard all samples (playback) or generate zero samples (capture)
pulse
    PulseAudio Sound Server
default
    Default ALSA Output (currently PulseAudio Sound Server)
sysdefault:CARD=sofhdadsp
    sof-hda-dsp, 
    Default Audio Device

With the working setup there are a lot more outputs listed:

sysdefault
    Default Audio Device
null
    Discard all samples (playback) or generate zero samples (capture)
pulse
    PulseAudio Sound Server
default
    Default ALSA Output (currently PulseAudio Sound Server)
sysdefault:CARD=PCH
    HDA Intel PCH, ALC233 Analog
    Default Audio Device
front:CARD=PCH,DEV=0
    HDA Intel PCH, ALC233 Analog
    Front speakers
surround21:CARD=PCH,DEV=0
    HDA Intel PCH, ALC233 Analog
    2.1 Surround output to Front and Subwoofer speakers
surround40:CARD=PCH,DEV=0
    HDA Intel PCH, ALC233 Analog
    4.0 Surround output to Front and Rear speakers
surround41:CARD=PCH,DEV=0
    HDA Intel PCH, ALC233 Analog
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=PCH,DEV=0
    HDA Intel PCH, ALC233 Analog
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=PCH,DEV=0
    HDA Intel PCH, ALC233 Analog
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=PCH,DEV=0
    HDA Intel PCH, ALC233 Analog
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
hdmi:CARD=PCH,DEV=0
    HDA Intel PCH, HDMI 0
    HDMI Audio Output
hdmi:CARD=PCH,DEV=1
    HDA Intel PCH, HDMI 1
    HDMI Audio Output
hdmi:CARD=PCH,DEV=2
    HDA Intel PCH, HDMI 2
    HDMI Audio Output
hdmi:CARD=PCH,DEV=3
    HDA Intel PCH, HDMI 3
    HDMI Audio Output
hdmi:CARD=PCH,DEV=4
    HDA Intel PCH, HDMI 4
    HDMI Audio Output

Comment 15 Robert Hancock 2020-01-06 16:19:03 UTC
Also, I tried having "journalctl -f" open while selecting the headphone output in GNOME sound settings after booting in SOF mode. I saw these kernel messages (which also happened previously during boot):

sof-audio-pci 0000:00:1f.3: error: no reply expected, received 0x0
sof-audio-pci 0000:00:1f.3: firmware boot complete

This from gsd-media-keys:

Unable to get default sink
gvc_mixer_card_get_index: assertion 'GVC_IS_MIXER_CARD (card)' failed

gnome-settings-daemon also complained with that same assertion.

Comment 16 Jaroslav Kysela 2020-01-06 16:58:09 UTC
Try 'speaker-test -c 0', 'alsamixer -c 0' to determine where the system hangs.

The device mapping is different (so you don't see many abstract ALSA devices). We are going to use UCM (Use Case Manager) to describe the sound hardware.

Comment 17 Fedora Update System 2020-01-07 01:06:45 UTC
alsa-firmware-1.2.1-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-534cccb6cb

Comment 18 Fedora Update System 2020-01-08 11:55:27 UTC
alsa-firmware-1.2.1-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Robert Hancock 2020-01-08 15:43:48 UTC
Problem with system hang still exists with updated firmware.

Comment 20 Elia Devito 2020-05-03 14:29:40 UTC
same problem on a fresh F32 setup

Comment 21 Hans de Goede 2020-05-04 09:38:09 UTC
(In reply to Elia Devito from comment #20)
> same problem on a fresh F32 setup

There is an update which should fix this. Can you do install all the latest updates and then try again?

Comment 22 Hans de Goede 2020-05-04 09:41:09 UTC
(In reply to Elia Devito from comment #20)
> same problem on a fresh F32 setup

Ok, I just see that there are 2 problems in this bug report, when you say "same problem", do you mean you also get the "Direct firmware load for intel/sof/sof-cfl.ri failed with error -2" errors this bug was originally about; or are you also seeing a hang after fixing that error by installing alsa-sof-firmware?

Either way please install all updates as a first step to debugging this, then we can see from there.

Comment 23 Hans de Goede 2020-05-04 09:42:09 UTC
(In reply to Robert Hancock from comment #19)
> Problem with system hang still exists with updated firmware.

Robert, since your last attempt there have been a bunch of related kernel-fixes and a newer version of the SOF firmware.

Can you please try again with the latest kernel and alsa-sof-firmware packages?

Comment 24 Elia Devito 2020-05-04 17:26:01 UTC
I was very inaccurate in describing the issue.. sorry :-)

I had both problem, now "sof-cfl.ri missing" has been fixed by this update: https://bodhi.fedoraproject.org/updates/FEDORA-2020-22efdc96d1, remain instead sisy├Čtem hang that appear after login, during plasma desktop loading. I tested a clean fedora workstation installation and the problem also appears with gnome

disabling sof with options snd-intel-dspcfg dsp_driver=1 get around this however the mic doesn't work.

I attach alsa-info with and without workaround

Comment 25 Elia Devito 2020-05-04 17:26:26 UTC
Created attachment 1684917 [details]
alsa-info with sof

Comment 26 Elia Devito 2020-05-04 17:27:17 UTC
Created attachment 1684918 [details]
alsa-info without sof

Comment 27 David Polberger 2020-05-14 08:05:07 UTC
I updated my Fedora installation last night and was greeted with a frozen gdm screen when I returned. It appears that https://bodhi.fedoraproject.org/updates/FEDORA-2020-22efdc96d1 has been pushed to stable, which I'm assuming is the culprit of this issue. Adding the parameters "snd-intel-dspcfg dsp_driver=1" to the kernel through GRUB, as described by Elia Devito (https://bugzilla.redhat.com/show_bug.cgi?id=1787387#c24) appears to resolve the issue.

Comment 28 Jaroslav Kysela 2020-05-14 08:29:23 UTC
There is no functional change for the firmware files in alsa-sof-firmware-1.4.2-5.fc32 (only the paths were reshuffled). Intel released v1.5 of firmware with some stability fixes. I'll try prepare the new package ASAP.

Comment 29 Jaroslav Kysela 2020-05-14 10:10:15 UTC
The v1.5 firmware is unusable at the moment: https://github.com/thesofproject/sof/issues/2937

Comment 30 David Polberger 2020-05-14 11:18:04 UTC
This may or may not be relevant, but the workaround I alluded to (snd-intel-dspcfg dsp_driver=1) has problems of its own. Switching output devices in GNOME Settings occasionally causes my system to freeze.

When rebooting, I'm getting the following lines in my system log (dmesg -T):

[Thu May 14 13:06:02 2020] snd_hda_intel 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040380
[Thu May 14 13:06:02 2020] snd_hda_intel 0000:00:1f.3: Digital mics found on Skylake+ platform, using SOF driver
[Thu May 14 13:06:02 2020] snd_hda_intel 0000:01:00.1: enabling device (0000 -> 0002)
[Thu May 14 13:06:02 2020] snd_hda_intel 0000:01:00.1: Force to non-snoop mode
[Thu May 14 13:06:02 2020] snd_hda_intel 0000:01:00.1: bound 0000:01:00.0 (ops amdgpu_dm_audio_component_bind_ops [amdgpu])
[Thu May 14 13:06:02 2020] input: HDA ATI HDMI HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card0/input8
[Thu May 14 13:06:02 2020] input: HDA ATI HDMI HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card0/input9
[Thu May 14 13:06:02 2020] input: HDA ATI HDMI HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card0/input10
[Thu May 14 13:06:02 2020] input: HDA ATI HDMI HDMI/DP,pcm=9 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card0/input11
[Thu May 14 13:06:02 2020] snd_soc_skl 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040380
[Thu May 14 13:06:02 2020] snd_soc_skl 0000:00:1f.3: Digital mics found on Skylake+ platform, using SOF driver
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040380
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: Digital mics found on Skylake+ platform, using SOF driver
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: enabling device (0000 -> 0002)
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if 0x040380
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: use msi interrupt mode
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: hda codecs found, mask 5
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: using HDA machine driver skl_hda_dsp_generic now
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: unexpected ipc interrupt raised!
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: error: no reply expected, received 0x0
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: Firmware info: version 1:4:2-66a5a
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: Firmware: ABI 3:11:0 Kernel ABI 3:12:0
[Thu May 14 13:06:02 2020] sof-audio-pci 0000:00:1f.3: firmware boot complete
[Thu May 14 13:06:04 2020] input: PC Speaker as /devices/platform/pcspkr/input/input12
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: info: override BE DAI link iDisp1
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: info: override BE DAI link iDisp2
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: info: override BE DAI link iDisp3
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: info: override BE DAI link Analog Playback and Capture
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: info: override BE DAI link Digital Playback and Capture
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: info: override BE DAI link dmic01
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: info: override BE DAI link dmic16k
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: Topology: ABI 3:11:0 Kernel ABI 3:12:0
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 7 name iDisp3 Tx not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 0 name codec0_in not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 7 name iDisp2 Tx not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 0 name codec1_in not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 7 name iDisp1 Tx not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 1 name codec0_out not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 7 name Analog CPU Playback not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 1 name codec1_out not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 7 name Digital CPU Playback not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 0 name codec2_in not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 7 name Alt Analog CPU Playback not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 1 name codec2_out not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 0 name Analog CPU Capture not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 1 name iDisp1_out not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 0 name Digital CPU Capture not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 1 name iDisp2_out not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 0 name Alt Analog CPU Capture not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: warning: widget type 1 name iDisp3_out not handled
[Thu May 14 13:06:06 2020] sof-audio-pci 0000:00:1f.3: ASoC: Parent card not yet available, widget card binding deferred
[Thu May 14 13:06:06 2020] snd_hda_codec_realtek ehdaudio0D0: autoconfig for ALC233: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[Thu May 14 13:06:06 2020] snd_hda_codec_realtek ehdaudio0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[Thu May 14 13:06:06 2020] snd_hda_codec_realtek ehdaudio0D0:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[Thu May 14 13:06:06 2020] snd_hda_codec_realtek ehdaudio0D0:    mono: mono_out=0x0
[Thu May 14 13:06:06 2020] snd_hda_codec_realtek ehdaudio0D0:    inputs:
[Thu May 14 13:06:06 2020] snd_hda_codec_realtek ehdaudio0D0:      Mic=0x1a
[Thu May 14 13:06:06 2020] snd_hda_codec_realtek ehdaudio0D0:      Front Mic=0x19
[Thu May 14 13:06:06 2020] snd_hda_codec_realtek ehdaudio0D0: ASoC: sink widget AIF1TX overwritten
[Thu May 14 13:06:06 2020] snd_hda_codec_realtek ehdaudio0D0: ASoC: source widget AIF1RX overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: intel-hdmi-hifi1 <-> iDisp1 Pin mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: intel-hdmi-hifi2 <-> iDisp2 Pin mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: intel-hdmi-hifi3 <-> iDisp3 Pin mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: Analog Codec DAI <-> Analog CPU DAI mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: Digital Codec DAI <-> Digital CPU DAI mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: dmic-hifi <-> DMIC01 Pin mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: dmic-hifi <-> DMIC16k Pin mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: snd-soc-dummy-dai <-> DMIC48kHz 6 mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: snd-soc-dummy-dai <-> DMIC16kHz 7 mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: snd-soc-dummy-dai <-> HDA Analog 0 mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: snd-soc-dummy-dai <-> HDA Digital 1 mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: snd-soc-dummy-dai <-> HDMI1 3 mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: snd-soc-dummy-dai <-> HDMI2 4 mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: snd-soc-dummy-dai <-> HDMI3 5 mapping ok
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget hifi3 overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget hifi2 overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget hifi1 overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: source widget Codec Output Pin1 overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget Codec Input Pin1 overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget Analog Codec Playback overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget Digital Codec Playback overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: sink widget Alt Analog Codec Playback overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: source widget Analog Codec Capture overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: source widget Digital Codec Capture overwritten
[Thu May 14 13:06:06 2020] skl_hda_dsp_generic skl_hda_dsp_generic: ASoC: source widget Alt Analog Codec Capture overwritten
[Thu May 14 13:06:06 2020] input: sof-hda-dsp Mic as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card1/input13
[Thu May 14 13:06:06 2020] input: sof-hda-dsp Front Mic as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card1/input14
[Thu May 14 13:06:06 2020] input: sof-hda-dsp Front Headphone as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card1/input15
[Thu May 14 13:06:06 2020] input: sof-hda-dsp HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card1/input16
[Thu May 14 13:06:06 2020] input: sof-hda-dsp HDMI/DP,pcm=4 as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/sound/card1/input17
[Thu May 14 13:06:06 2020] input: sof-hda-dsp HDMI/DP,pcm=5 as /devices/pci0000:00/0000:00:1f.3/skl_hda_dsp_generic/
[Thu May 14 13:06:20 2020] sof-audio-pci 0000:00:1f.3: error: no reply expected, received 0x0
[Thu May 14 13:06:20 2020] sof-audio-pci 0000:00:1f.3: firmware boot complete
[Thu May 14 13:06:21 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x60040000 size 12
[Thu May 14 13:06:21 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:21 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000380 rirb 00
[Thu May 14 13:06:21 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:21 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:21 2020]  HDMI1: ASoC: trigger FE cmd: 1 failed: -110
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x60050000 size 12
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000380 rirb 00
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:22 2020]  HDMI1: ASoC: trigger FE cmd: 0 failed: -110
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x80010000 size 120
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000180 rirb 00
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: error: failed to set dai config for Analog Playback and Capture
[Thu May 14 13:06:22 2020] sof-audio-pci 0000:00:1f.3: ASoC: can't set Analog CPU DAI hw params: -110
[Thu May 14 13:06:22 2020]  Analog Playback and Capture: ASoC: hw_params BE failed -110
[Thu May 14 13:06:22 2020]  HDA Analog: ASoC: hw_params BE failed -110
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x80010000 size 120
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000180 rirb 00
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: failed to set dai config for Analog Playback and Capture
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: ASoC: can't set Analog CPU DAI hw params: -110
[Thu May 14 13:06:23 2020]  Analog Playback and Capture: ASoC: hw_params BE failed -110
[Thu May 14 13:06:23 2020]  HDA Analog: ASoC: hw_params BE failed -110
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x80010000 size 120
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000180 rirb 00
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: error: failed to set dai config for Analog Playback and Capture
[Thu May 14 13:06:23 2020] sof-audio-pci 0000:00:1f.3: ASoC: can't set Analog CPU DAI hw params: -110
[Thu May 14 13:06:23 2020]  Analog Playback and Capture: ASoC: hw_params BE failed -110
[Thu May 14 13:06:23 2020]  HDA Analog: ASoC: hw_params BE failed -110
[Thu May 14 13:06:23 2020] rfkill: input handler enabled
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x80010000 size 120
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000180 rirb 00
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: failed to set dai config for Analog Playback and Capture
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: ASoC: can't set Analog CPU DAI hw params: -110
[Thu May 14 13:06:24 2020]  Analog Playback and Capture: ASoC: hw_params BE failed -110
[Thu May 14 13:06:24 2020]  HDA Analog: ASoC: hw_params BE failed -110
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x80010000 size 120
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000180 rirb 00
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: error: failed to set dai config for Analog Playback and Capture
[Thu May 14 13:06:24 2020] sof-audio-pci 0000:00:1f.3: ASoC: can't set Analog CPU DAI hw params: -110
[Thu May 14 13:06:24 2020]  Analog Playback and Capture: ASoC: hw_params BE failed -110
[Thu May 14 13:06:24 2020]  HDA Analog: ASoC: hw_params BE failed -110
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x60050000 size 12
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000180 rirb 00
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:25 2020]  HDMI3: ASoC: trigger FE cmd: 0 failed: -110
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x60030000 size 12
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000100 rirb 00
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:25 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x80010000 size 120
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000100 rirb 00
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: failed to set dai config for iDisp3
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: ipc timed out for 0x60050000 size 12
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: unexpected fault 0x00000000 trace 0x00000000
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: hda irq intsts 0x00000000 intlctl 0xc0000100 rirb 00
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: dsp irq ppsts 0x00000000 adspis 0x00000000
[Thu May 14 13:06:26 2020] sof-audio-pci 0000:00:1f.3: error: host status 0x00000000 dsp status 0x00000000 mask 0x00000003
[Thu May 14 13:06:26 2020]  HDMI2: ASoC: trigger FE cmd: 0 failed: -110

Etc. Needless to say, sound does not work. Spotify behaves strangely and Firefox hangs. After rebooting, no output devices are available in GNOME Settings.

Comment 31 Elia Devito 2020-05-15 07:12:40 UTC
I have builded a v1.5 sof firmware package for test, with this version my macchine no longer freezes and speaker and mic works, however there are some issue

- just two front speakers works, but this should be another story (https://bugzilla.kernel.org/show_bug.cgi?id=189331)
- speakers emit distorted sound at high volume (> 60/65%)
- mic input is a bit low

@Jaroslav Kysela
the mic issue seem to be caused by a regression as reported in you link, instead regarding the first two problem, do you think are related to sof firmware?

If someone want to test v1.5 of sof firmware I have builded a copr repo: https://copr.fedorainfracloud.org/coprs/scorpionit/alsa-sof-firmware/

Comment 32 David Polberger 2020-05-15 12:40:09 UTC
(In reply to Elia Devito from comment #31)
> - speakers emit distorted sound at high volume (> 60/65%)

I experienced this issue as well. For reasons that are unknown to me, I was able to successfully boot into Fedora, with working sound. Sound was distorted, though, both when using the on-board sound and -- surprisingly -- when connecting my speakers to my monitor through DisplayPort.

Now, the system freezes when I try to enter sign-in credentials using gdm. I'm currently blacklisting the "sof-audio-pci", "snd_hda_codec_realtek", "sk1_hda_dsp_generic" and "snd_hda_intel" kernel modules, enabling me to use my computer -- but without sound.

Comment 33 Elia Devito 2020-05-15 13:22:03 UTC
(In reply to David Polberger from comment #32)
> (In reply to Elia Devito from comment #31)
> > - speakers emit distorted sound at high volume (> 60/65%)
> 
> I experienced this issue as well. For reasons that are unknown to me, I was
> able to successfully boot into Fedora, with working sound. Sound was
> distorted, though, both when using the on-board sound and -- surprisingly --
> when connecting my speakers to my monitor through DisplayPort.
> 
> Now, the system freezes when I try to enter sign-in credentials using gdm.
> I'm currently blacklisting the "sof-audio-pci", "snd_hda_codec_realtek",
> "sk1_hda_dsp_generic" and "snd_hda_intel" kernel modules, enabling me to use
> my computer -- but without sound.

if I understand correctly you add "snd-intel-dspcfg dsp_driver=1" to grub cmdline as workaround, in this way you don't disable the sof driver,
can you try adding "options snd-intel-dspcfg dsp_driver=1" to /etc/modprobe.d/alsa.conf and test if system boot and works without hangs?

you can do this with this command as root: echo "options snd-intel-dspcfg dsp_driver=1" > /etc/modprobe.d/alsa.conf

in this way you should able at least to use the pc speaker until intel release a fixed firmware

Comment 34 David Polberger 2020-05-15 14:06:48 UTC
(In reply to Elia Devito from comment #33)
> if I understand correctly you add "snd-intel-dspcfg dsp_driver=1" to grub
> cmdline as workaround, in this way you don't disable the sof driver,
> can you try adding "options snd-intel-dspcfg dsp_driver=1" to
> /etc/modprobe.d/alsa.conf and test if system boot and works without hangs?

Thanks, this works as you assumed it would. The internal speaker is available and works, as does sound through DisplayPort (but not the regular on-board audio). The sound is no longer distorted through DisplayPort.

I had added "snd-intel-dspcfg dsp_driver=1" directly as a kernel parameter in grub.cfg, but still experienced the computer freezing at the gdm screen. Since then, alsa-sof-firmware-1.4.2-5.fc32.noarch was installed through the regular update process; I don't know if that made a difference.

For what it's worth, I tried Ubuntu 20.04 LTS on this machine, and got the same out-of-the-box experience as when installing Fedora 31: only sound through DisplayPort (and presumably HDMI as well).